
Figure - Bug #119086
【VC1】【副屏】副屏使用企业微信和微信语音通话出现没有声音输出的现象
2023-07-24 15:34 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-24

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0722DB

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1.设备网络正常

2.已下微信、企业微信、QQ等基础viop应用

【操作步骤】

1.使用企业微信拨打语音电话

2.使用微信拨打语音电话

3.使用QQ拨打语音电话

4.重复步骤1和2

【实际结果】

1和2没有声音输出

3声音输出正常

4声音输出正常

【预期结果】

语音和视频声音输出均正常

【备注】

版本变更：从7.24音频VB qfil 到7.22DB

History

#1 - 2023-07-24 16:11 - 物联网测试组_TSCD 王维

使用飞书拨打语音该现象必现

#2 - 2023-07-25 10:30 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

1.飞书问题已经另外起票对应

2.微信和企业微信的问题；

当前分析：

在开启通话时，setmode比start_output_stream慢了，导致usecase使用的是low-latency-playback，不是电话通道，导致了该问题；
58204:07-24 15:18:10.116  1000  1243 D APM_AudioPolicyManager: startOutput() output 13, stream 0, session 81

58219:07-24 15:18:10.117   814 14684 D audio_hw_primary: start_output_stream: enter: stream(0xebf821a0)usecase(1: low-latency-playback) devices(0x2)

is_haptic_usecase(0)

58432:07-24 15:18:10.151   814   866 D audio_hw_primary: adev_set_mode: mode 3 , prev_mode 0 

58462:07-24 15:18:10.189   814 14580 D audio_hw_primary: select_devices for use case (low-latency-playback)

下一步：

该问题仅在刷机完复现，重启后就正常，当前进一步对比查看区别在哪。

#3 - 2023-07-26 11:30 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前现状：

1.当前方案存在问题，重新优化后编译VB中。

下一步：

等待VB验证。

#4 - 2023-07-27 16:00 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

该问题是之前的两个patch投入导致，将会回退相关ptach。

#5 - 2023-07-27 17:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218121 general/platform/hardware/qcom/audi

o

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangyj0127@thundersoft.com

MM: Audio: Revert MM: Audio: disable voip_rxRevert MM: Audio: Fix some voiceless issues with VOIP appRevert MM: Audio: disable voip_rxTC-RID:

0301-0900116IssueID:  TS-R-DF-119086Change-Id: I29017ba919f88d845aa915832025ae31448bb197

#6 - 2023-07-27 20:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
218248 general/platform/hardware/qcom/audi

o

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Revert MM: Audio: disable voip_rxRevert MM: Audio: Fix some voiceless issues with VOIP appRevert MM: Audio: disable voip_rxTC-RID:

0301-0900116IssueID:  TS-R-DF-119086Change-Id: I29017ba919f88d845aa915832025ae31448bb197(cherry picked from commit

00bead6210940ed6c6ceced8eb1fd5e1b07a9733)

#7 - 2023-07-28 16:51 - CD TEST-方永红

【测试版本】0127

【测试情况】未复现微信和企业微信不出声的问题

#8 - 2023-08-01 16:48 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

麻烦监视三个版本,三个版本不复现麻烦关票.

#9 - 2023-08-31 16:22 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#10 - 2023-10-08 09:56 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

已在0136之后连续跟踪3个版本未复现，关闭

#11 - 2023-10-08 09:57 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

wushengyin.txt 10.5 MB 2023-07-24 物联网测试组_TSCD 王维
